Search found 11 matches

by snorkel
Tue Aug 21, 2018 3:50 pm
Forum: Support
Topic: latest version in Delphi and Lazarus issue
Replies: 3
Views: 2672

Re: latest version in Delphi and Lazarus issue

the temp dir function just calls GetTempDir in sysutils. I found that in Delphi and Lazarus if I enable the DPI aware option in the project manager the menu corruption goes away. With DPI aware disabled it only does the corruption if shellexecute opens a image file. Anything else like a URL, some ot...
by snorkel
Tue Aug 21, 2018 3:31 pm
Forum: Support
Topic: latest version in Delphi and Lazarus issue
Replies: 3
Views: 2672

Re: latest version in Delphi and Lazarus issue

Hi Sergey, I was actually this ( I modified it to embedded a image instead of a wav and called the new one timagebutton : {*******************************************************} { } { TWavButton } { Button playing WAV file on click } { } { Copyright (c) Sergey Tkachenko } { [email protected].com } { h...
by snorkel
Fri Aug 17, 2018 5:36 pm
Forum: Support
Topic: latest version in Delphi and Lazarus issue
Replies: 3
Views: 2672

latest version in Delphi and Lazarus issue

Hi, I ported my old app from Delphi 2009 to Lazarus but I am having a issue with a embedded component that shows a image thumbnail and when the user clicks the thumbnail it uses shellexecute in the embedded control to view the image. The problem is when I do this it corrupts all the menus in my appl...
by snorkel
Wed Aug 08, 2018 5:42 pm
Forum: Announcements
Topic: Are you interested in Lazarus version of TRichView?
Replies: 29
Views: 46865

Re: Are you interested in Lazarus version of TRichView?

This is great news and congrats on the port.
Lazarus has come a long way and is a excellent Delphi replacement for those that have given up on embarcadero or who ever has it now
by snorkel
Fri Oct 27, 2017 4:02 pm
Forum: Announcements
Topic: Are you interested in Lazarus version of TRichView?
Replies: 29
Views: 46865

Re: Are you interested in Lazarus version of TRichView?

Any news on Lazarus support?
Lazarus is close to releasing version 1.8 and it looks really good.

Still have had no reason to use Delphi though their sales people have been hounding me with emails to purchase a upgrade to the last version I bought back in 2010, told them it was too expensive.
by snorkel
Mon Nov 09, 2015 1:22 pm
Forum: Announcements
Topic: Are you interested in Lazarus version of TRichView?
Replies: 29
Views: 46865

Developing web and mobile is a pain in the rear and Web applications are the most unsecure apps simply by nature. Rich desktop apps are far superior. So don't stop any plans for Lazarus because of web and mobile. I work in a corp environment and the web apps we have are all garbage the only advantag...
by snorkel
Wed Nov 04, 2015 9:03 pm
Forum: Announcements
Topic: Are you interested in Lazarus version of TRichView?
Replies: 29
Views: 46865

Oh, one more thing:
They released a update about a month ago:

Lazarus 1.4.4 Release - October 06, 2015

They do updates to the IDE and LCL at least 3 times per year and bugs actually get fixed.

Also the support forums are much more helpful than the Delphi ones with no Team B jerks.
by snorkel
Wed Nov 04, 2015 8:48 pm
Forum: Announcements
Topic: Are you interested in Lazarus version of TRichView?
Replies: 29
Views: 46865

Hello Sergey, Yes, supporting Lazarus would be huge. Here is why. Delphi future is uncertain, it has been sold again and it's being priced out of reach for most people. Many more Delphi Developers will be moving to Lazarus and FPC as Delphi continues it's slow long death. I stopped using Delphi in 2...
by snorkel
Wed Dec 21, 2005 4:53 pm
Forum: Support
Topic: Can't install in Delphi 2006
Replies: 9
Views: 11256

Sergey Tkachenko wrote:Uploadig new version is delayed till tomorrow, sorry.
No problem, I was able to get it to compile with some hacking :-)
by snorkel
Tue Dec 20, 2005 7:48 pm
Forum: Support
Topic: Can't install in Delphi 2006
Replies: 9
Views: 11256

Sergey Tkachenko wrote:You need a newer version of TRichView.
I plan to upload an update containing D2006 packages later today, see the protected forums for registered users.
sorry, I posted to the wrong forum, but I did get the one to install, just took a little hacking :-)
by snorkel
Tue Dec 20, 2005 4:03 pm
Forum: Support
Topic: Can't install in Delphi 2006
Replies: 9
Views: 11256

Can't install in Delphi 2006

Hi,
I couldn't find a D2006 install, so I grabbed the latest stable release from Oct 2005 and I tried to use the D2005 packages, but I get this error when compiling:

[Pascal Error] RVUni.pas(324): E2010 Incompatible types: 'Integer' and 'LongBool'

Not sure where the conflict is yet.

Thanks,

Tony